//-----------------------------------------------------------------------------
// Copyright (c) 2004 Soft Gold Software Corporation.  All Rights Reserved.
//-----------------------------------------------------------------------------

import javax.swing.UIManager;
import java.awt.*;

public class AppDXFExporter {
  private boolean packFrame = false;

  //Construct the application
  public AppDXFExporter() {
    FrmDXFExporter frame = new FrmDXFExporter();
    //Validate frames that have preset sizes
    //Pack frames that have useful preferred size info, e.g. from their layout
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }
  //Main method
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new AppDXFExporter();
  }
}